package com.hotwj.platform.common.utils;

import cn.hutool.crypto.digest.BCrypt;
import lombok.extern.slf4j.Slf4j;

/**
 * 密码工具类
 *
 * @author shihongwei
 * @date 2025-12-10
 */
@Slf4j
public class PasswordUtils {

    /**
     * 默认密码规则：手机号+hot
     *
     * @param phone
     * @return
     */
    public static String createDefaultPassword(String phone) {
        return BCrypt.hashpw(phone + "hot");
    }

    /**
     * 通过明文创建密文
     *
     * @param password
     * @return
     */
    public static String createPassword(String password) {
        return BCrypt.hashpw(password);
    }
}
